LMNT

Voice info

voices.retrieve(id: str) -> Voice
GET
/v1/ai/voice/{id}

Returns details of a specific voice.

Parameters

id
str
required

The id of the voice, which can be retrieved by a call to List voices.

Returns

Voice where each Voice is:

description
Optional[str]

A text description of this voice.

gender
Optional[str]

A tag describing the gender of this voice, e.g. male, female, nonbinary.

id
str
required

The unique identifier of this voice.

name
str
required

The display name of this voice.

owner
Literal["system", "me", "other"]
required

The owner of this voice.

starred
Optional[bool]

Whether this voice has been starred by you or not.

state
str
required

The state of this voice in the training pipeline (e.g., ready, training).

type
Optional[Literal["instant", "professional"]]

The method by which this voice was created: instant or professional.

preview_url
Optional[str]

A URL that returns a preview speech sample of this voice. The file can be played directly in a browser or audio player.